Bug 246353 - www/gitea: Update to 1.11.5
Summary: www/gitea: Update to 1.11.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kyle Evans
URL: https://github.com/go-gitea/gitea/rel...
Keywords: buildisok
Depends on: 245863
Blocks:
  Show dependency treegraph
 
Reported: 2020-05-10 09:12 UTC by stb
Modified: 2020-05-31 10:59 UTC (History)
3 users (show)

See Also:


Attachments
patch to update the port to Gitea 1.11.5 (910 bytes, patch)
2020-05-10 09:48 UTC, stb
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description stb 2020-05-10 09:12:44 UTC
Update Gitea to 1.11.5

This release fixes 22 bugs, and includes two enhancements.

Release notes: https://github.com/go-gitea/gitea/releases/tag/v1.11.5
Comment 1 stb 2020-05-10 09:48:49 UTC
Created attachment 214342 [details]
patch to update the port to Gitea 1.11.5
Comment 2 stb 2020-05-10 09:52:32 UTC
245863 has not been applied; this would need to be added.
Comment 3 Fernando Apesteguía freebsd_committer 2020-05-10 10:59:01 UTC
^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval

Attachment -> Details -> maintainer-approval [+]

Thanks!
Comment 4 Kyle Evans freebsd_committer 2020-05-10 13:54:38 UTC
I will commit the go-git patch after this lands, since that can and should be MFH'd.
Comment 5 commit-hook freebsd_committer 2020-05-10 18:46:00 UTC
A commit references this bug:

Author: adamw
Date: Sun May 10 18:45:16 UTC 2020
New revision: 534858
URL: https://svnweb.freebsd.org/changeset/ports/534858

Log:
  gitea: Update to 1.11.5

  This release fixes 22 bugs, and includes two enhancements.

  Release notes: https://github.com/go-gitea/gitea/releases/tag/v1.11.5

  PR:		246353
  Submitted by:	maintainer

Changes:
  head/www/gitea/Makefile
  head/www/gitea/distinfo
Comment 6 Adam Weinberger freebsd_committer 2020-05-10 18:48:43 UTC
OK, this is committed. Kyle, I am transferring the PR over to you for coordination with bug #245863.
Comment 7 Kyle Evans freebsd_committer 2020-05-11 16:58:17 UTC
Other one's been committed and MFH'd; unsure if this update will get merged, but the conflict should be trivial to resolve (drop PORTREVISION).
Comment 8 Automation User 2020-05-11 21:36:58 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/144529656
Comment 9 commit-hook freebsd_committer 2020-05-31 10:59:10 UTC
A commit references this bug:

Author: adamw
Date: Sun May 31 10:58:30 UTC 2020
New revision: 537152
URL: https://svnweb.freebsd.org/changeset/ports/537152

Log:
  MFH: r534858 r537149

  gitea: Update to 1.11.5

  This release fixes 22 bugs, and includes two enhancements.

  Release notes: https://github.com/go-gitea/gitea/releases/tag/v1.11.5

  PR:		246353
  Submitted by:	maintainer

  gitea: Update to 1.11.6

  Update Gitea to 1.11.6

  This release fixes two security issues and 14 bugs.

  Release notes: https://github.com/go-gitea/gitea/releases/tag/v1.11.6

  And despite /some/ work being done on the invalid Go template syntax for the
  Wiki pages, the main bug has not been fixed and merged, so the patch still is
  required.

  PR:		246892
  Submitted by:	maintainer
  Relnotes:	https://github.com/go-gitea/gitea/releases/tag/v1.11.6
  Security:	yes, see Relnotes

  Approved by:	portmgr (with hat)

Changes:
_U  branches/2020Q2/
  branches/2020Q2/www/gitea/Makefile
  branches/2020Q2/www/gitea/distinfo